OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Safe Haskell | None

Graphics.Rendering.OpenGL.GL.FramebufferObjects.RenderbufferObjects

Description

# Documentation

data RenderbufferObject

Constructors

RenderbufferObject GLuint |

Instances

ObjectName RenderbufferObject |

noRenderbufferObject :: RenderbufferObject

data RenderbufferTarget

Constructors

Renderbuffer |

Instances

PixellikeObjectTarget RenderbufferTarget |

marshalRenderbufferTarget :: RenderbufferTarget -> GLenum

data RenderbufferSize

Constructors

RenderbufferSize !GLsizei !GLsizei |

newtype Samples

Constructors

Samples GLsizei |

bindRenderbuffer :: RenderbufferTarget -> StateVar RenderbufferObject

renderbufferStorage :: RenderbufferTarget -> PixelInternalFormat -> RenderbufferSize -> IO ()

renderbufferStorageMultiSample :: RenderbufferTarget -> Samples -> PixelInternalFormat -> RenderbufferSize -> IO ()

getRBParameteriv :: RenderbufferTarget -> (GLint -> a) -> GLenum -> IO a